GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
OGRPointIterator Class Referenceabstract

Interface for a point iterator. More...

`#include <ogr_geometry.h>`

Inherited by OGRCompoundCurvePointIterator, and OGRSimpleCurvePointIterator.

## Public Member Functions
virtual OGRBoolean | getNextPoint (OGRPoint *p)=0
| Returns the next point followed by the iterator. More...

## Static Public Member Functions
static void | destroy (OGRPointIterator *)
| Destroys a point iterator. More...

## Detailed Description

Interface for a point iterator.

Since
  GDAL 2.0

## Member Function Documentation

void OGRPointIterator::destroy | ( | OGRPointIterator * | poIter | ) |
| static

Destroys a point iterator.

Since
  GDAL 2.0

OGRBoolean OGRPointIterator::getNextPoint | ( | OGRPoint * | p | ) |
| pure virtual

Returns the next point followed by the iterator.

Parameters

  p | point to fill.

Returns
  TRUE in case of success, or FALSE if the end of the curve is reached.

Since
  GDAL 2.0

The documentation for this class was generated from the following files:

- ogr_geometry.h
- ogrcurve.cpp

Generated for GDAL by 1.8.9.1.